2007-04-12  Herbert Parentes Fortes Neto (hpfn) <h_p_f_n@yahoo.com.br>

	* New upstream
	* po/es.po: Update of spanish translation thanks to 
	  Manuel Porras Peralta <venturi.debian@gmail.com>.
	* src/shortcuts.c: gtk_clist_sort list. Closes #395179, whishlist
	  at bugs.debian.org.
	* src/rimage.c: stop compiler's warning. Lines 115,118.
	* src/texture.c: stop compiler's warning. Lines 2587,3340,3363.
	* src/themebrowser.c: stop compiler's warning. Line 1713.

2005-03-02  Kevin McCarty  <kmccarty@princeton.edu>

	* po/it.po: Update of Italian translation thanks to Marco Colombo
	  <m.colombo@ed.ac.uk>.

2005-02-25  Kevin McCarty  <kmccarty@princeton.edu>

	* configure.ac: Turn off data update support by default.  This has
	  been broken since Ulli took his web page down, and I don't know
	  that it is really useful.
	* src/simple.c: Convert GTK+ 2 Pango names for fonts into the
	  fontconfig format used by WindowMaker 0.90 before saving.
	* src/dndtree.c: Fix the gtk_dndtree_new() function.
	* src/rimage.h, src/rimage.c, src/texture.c, src/themebrowser.c:
	  New wrapper function make_color() around gdk_color_parse() so
	  we can still understand "rgb:RR/GG/BB" color format.
	* src/rootmenu.c: GTK+ 2 fixes to menu entry boxes and option menu.
	* README, NLS-TEAM1, data/NLS-TEAM2, NEWS, MANUAL: Slight updates
	  for new release.
	* wmakerconf.desktop.in: Convert to UTF-8.
	* configure.ac, Makefile.am: Unconditionally install .desktop file.

2005-01-13  Kevin McCarty  <kmccarty@princeton.edu>

	* TODO: Note the outstanding issues still remaining to be fixed
	  with port to GTK+ 2 (and other issues).

2004-12-04  Kevin McCarty  <kmccarty@princeton.edu>

	* Various files: Update (finally) to compile and link against GTK+ 2.

2004-08-05  Kevin McCarty  <kmccarty@princeton.edu>

	* src/menu.c: Don't call browser with "$BROWSER -remote openURL(%s)";
	  in some cases a browser would ignore the argument and return zero, so
	  the fallback action of "$BROWSER '%s'" would not be tried.

2004-07-30  Kevin McCarty  <kmccarty@princeton.edu>

	* po/da.po: Update Danish translation thanks to Morten Bo
	  Johansen <mojo@mbjnet.dk>.

	* po/de.po: Small update to German translation from Florian Ernst.

2004-07-21  Kevin McCarty  <kmccarty@princeton.edu>

	* src/texture.c: Fix for workspace-specific texture crashes.

	* src/window.c: Sort panels alphabetically instead of by the
	  proplist hash function (which looked essentially random).

	* configure.ac: Set default external browser to mozilla, and add
	  the option to set it at compile time.

2004-04-23  Kevin McCarty  <kmccarty@princeton.edu>

	* po/de.po, data/po/de.po: Update German translation thanks to
	  Florian Ernst <florian@uni-hd.de>.
	
	* data/po/da.po: New Danish translation for wmakerconf data thanks
	  to Morten Bo Johansen <mojo@image.dk>.

2004-02-20  Kevin McCarty  <kmccarty@princeton.edu>

	* New upstream

	* Update autotools infrastructure: new config.guess, config.sub; move
	  configure.in to configure.ac; add AM_GNU_GETTEXT_VERSION(0.10.35) to
	  configure.ac; run autoreconf --force with automake 1.7 and autoconf
	  2.59; etc.
	
	* intl/Makefile.in: hack to work around bugs in "make distcheck"
	
	* Various files: update version to 2.9.1 and add myself to list of
	  authors.

2004-02-19  Kevin McCarty  <kmccarty@princeton.edu>

	*  po/da.po: Update Danish translation, thanks to Morten Bo Johansen
	   <mojo@image.dk>. 

2003-11-16  Kevin McCarty  <kmccarty@princeton.edu>

	* src/texture.c: In show_texture_dialog(), if the texture array is
	  empty, make TEXTURE_NONE be the default selection for the default
	  workspace.

	* src/texture.c: In update_gradient_preview(), check for a null value
	  returned by WMGetFromPLArray().  Fixes crash when a texture is defined
	  as a zero-element array in user's WindowMaker file.

	* src/error.c: In _warning(), fix the call to g_logv() to avoid
	  segfault when printing a warning message.

	* src/misc.[ch], configure.in: Have get_temporary_file_name() use
	  mkstemp(3) when available.  Add new function
	  make_temporary_directory() using mkdtemp(3).  Add new function
	  get_tempdir() used by both.

	* src/themebrowser.c: Have save_theme_backend() use
	  make_temporary_directory() instead of get_temporary_file_name().

	* src/rootmenu.c: In convert_to_proplist(), file may be a relative
	  filename located in $GNUSTEP_USER_ROOT/Library/WindowMaker/ or
	  /etc/X11/WindowMaker/; allow for these possibilities.

	* src/rootmenu.c: Search for menus in WMAKERDIR
	  (/etc/X11/WindowMaker), not WMAKERDATADIR (/usr/share/WindowMaker) 

	* src/keys.c: Don't uppercase X keysym names unnecessarily in
	  keysym_list().

	* config.guess, config.sub: get new versions: 2003-10-07

	* configure.in: test that WMAKERDIR contains 'menu', not 'WindowMaker'

	* configure, etc.: rerun autoconf --force, automake, etc.

	* scripts/wm-oldmenu2new.sh: Check for value of $GNUSTEP_USER_ROOT
	  instead of always using $HOME/GNUstep.  Always use $INCLUDES. 

	* scripts/wm-oldmenu2new.sh: Make more robust by adding lots of
	  quotes.

	* scripts/wm-oldmenu2new.sh: Make more secure by using tempfile(1).

	* wmakerconf.1: Clarify the behavior of the --config option. 

2003-11-13  Kevin McCarty  <kmccarty@princeton.edu>

	* data/WMWmakerconf: Put the possible mouse button actions in the same
	  order as their text.

2003-10-18  Kevin McCarty  <kmccarty@princeton.edu>

	* Change all "proplist_t *" to "proplist_t" to fix incompatible
	  pointer compiler warnings.
	
	* src/simple.c: In update_color(), remove call to WMReleasePropList()
	  since WMPutInPLDictionary() calls it already on the value for a
	  removed key.  This fixes the crash when setting themes.

	* src/wmconfig.c: We seem to have lost a PLMergeDictionaries() call
	  from main() between 2.8.1 and 2.9, resulting in the initial settings
	  being for the default Debian theme rather than the user's current
	  settings.  Add it back in the form of a call to
	  WMMergePLDictionaries().

	* src/themebrowser.c: Add code in load_attributes() that removes
	  deprecated keys from the style, stopping the flow of "Attribute
	  DisplayFont not yet supported" warnings when loading old themes.

	* src/themebrowser.c: In install_theme_dialog(), comment out the code
	  that removed "/Themes" from the end of the theme installation path.
	  Now installing a theme actually puts it where one would expect.

	* src/menu.c: Replace Themes web page menu items that no longer exist
	  with some current web repositories.

	* src/menu.c: Since upstream home page no longer exists, replace the
	  link with the project page at freshmeat.net.

2003-08-04  Kevin McCarty  <kmccarty@princeton.edu>

	* New upstream as of 2004-02-20.  (I've backdated these changelog
	  entries starting with the bugfixes I made for Debian.)
	
	* Add wmakerconf.1 man page.

	* src/themebrowser.c: Fix segmentation fault on exit.

	* intl/da.po: Updated Danish translation from Morten Bo Johansen
	  <mojo@image.dk>.
	
	* Now use WUtil library directly, so replace all proplist functions
	  in all source files by the new WUtil functions.

	* Use RReleaseImage() instead of deprecated RDestroyImage().

2001-03-18  Ullrich Hafner  <hafner@bigfoot.de>

	* scripts/upgrade.pl.in: Update to new homepage

2001-03-16  Ullrich Hafner  <hafner@bigfoot.de>

	* wmakerconf.spec: version upgrade

	* src/themebrowser.c: Added theme menu

	* src/menu.c: Update new homepage

	* wmakerconf.spec: Prepared for wmakerconf 2.8

	* configure.in: Prepared for wmakerconf 2.8

2000-10-16  Ullrich Hafner  <hafner@bigfoot.de>

	* src/texture.h, src/texture.c, src/rimage.h, src/rimage.c: added
	support for igradient texture 

2000-09-25  Ullrich Hafner  <hafner@bigfoot.de>

	* src/themes.h, src/themes.c, src/themebrowser.c, src/rootmenu.c,
	  src/misc.c, src/Makefile.am, configure.in, README, Makefile.am,
	  MANUAL: Update to new theme browser

2000-09-03  Ullrich Hafner  <hafner@bigfoot.de>

	* src/wmconfig.c, src/window.h, src/window.c, src/themebrowser.c,
	  src/simple.c, src/shortcuts.c, src/path.c, src/misc.h,
	  src/misc.c, src/menu.c, src/Makefile.am: Added new theme browser

2000-07-19  Ullrich Hafner  <hafner@bigfoot.de>

	* MANUAL, rootmenu.c: Update to new command line syntax.

	* wmconfig.c, window.[ch], texture.c, misc.h, menu.[ch]: Added
	patch of Vlad Harchev <hvv@hippo.ru>: now the visible set of
	panels is specified on command line

2000-06-26  Ullrich Hafner  <hafner@bigfoot.de>

	* misc.c: Bug fix theme saving (if an existing theme is
	overwritten, then the images are deleted instead of copied:(

2000-04-02  Ullrich Hafner  <hafner@bigfoot.de>

	* window.c, themes.c, texture.c, rootmenu.c, rimage.c, path.c, misc.c, misc.h, mkpreview.c, menu.c:
	Bugfixes

2000-01-26  Ullrich Hafner  <hafner@bigfoot.de>

	* rootmenu.c: Bug fix OPEN_MENU (dynamic menu) with relative paths

2000-01-24  Ullrich Hafner  <hafner@bigfoot.de>

	* themes.c, window.c, rootmenu.h, rootmenu.c:
	fixed dialog display bug if proplist root menu is not installed yet

2000-01-23  Ullrich Hafner  <hafner@bigfoot.de>

	* wmconfig.c, themes.h, window.c, shortcuts.c, simple.c, themes.c, error.c, menu.c:
	cleanup for upcoming 2.5 release

2000-01-20  Ullrich Hafner  <hafner@bigfoot.de>

	* wmconfig.c, window.c, window.h, rootmenu.c, menu.c, menu.h:
	Added new startup parameter 'section'.

	* themes.c: added .tar.gz theme format when saving a theme

2000-01-09  Ullrich Hafner  <hafner@bigfoot.de>

	* shortcuts.c, keys.c, keys.h:
	Added support for modifier keys Mod1-Mod5

1999-12-20  Ullrich Hafner  <hafner@bigfoot.de>

	* misc.c, misc.h:
	added function 'protect_quotes' to protect double quotes in filenames

	* themes.c: bug fix: protect quotes in theme filenames

	* texture.c: fixed color bug with libwmfun textures

	* keys.c: fixed a bug when grabbing key sequences and Meta is Mod2-Mod5

1999-12-05  Ullrich Hafner  <hafner@bigfoot.de>

	* window.c, texture.c, simple.c, simple.h, rootmenu.c:
	Fixed some bugs within the new panels

1999-12-03  Ullrich Hafner  <hafner@bigfoot.de>

	* wmconfig.c, themes.c, window.c, texture.c, shortcuts.c, simple.c, menu.c, path.c, dialog.c:
	preview of new settings dialog

1999-11-21  Ullrich Hafner  <hafner@bigfoot.de>

	* wmconfig.c, window.c, themes.c, texture.c, simple.c, path.c, shortcuts.c:
	improved shortcut dialog
	added new attributes section

1999-10-23  Ullrich Hafner  <hafner@bigfoot.de>

	* simple.h, window.c, simple.c:
	added new options dialog based on descriptive texts rather than on
	option identifiers

	* texture.c, shortcuts.c, previews.c, rootmenu.c:
	update to new optionmenu call

	* dialog.c, dialog.h:
	Added optionmenu parameter to allow display of information texts while
	the seletion is still based on the key values

1999-10-18  Ullrich Hafner  <hafner@bigfoot.de>

	* themes.c:
	fixed bug during preview generation if no theme previews are found
	make buttons "open" and "remove" insensitive if no themes are selected

	* texture.c: fixed bug if illegal texture is specified

1999-09-28  Ullrich Hafner  <hafner@bigfoot.de>

	* texture.c, simple.c, simple.h, Makefile.am: new release

	* simple.c: added drawPlainString support of libwmfun 0.2

	* misc.h, previews.c: *** empty log message ***

	* rootmenu.c:
	Moved scrollbar again to the left (looks better with the new paned
	widget)

	* themes.c:
	Replaced exit with _exit to avoid problems when the fork operation
	exits

	* path.c: Use decriptive text rather then the WindowMaker Attribute

	* window.c: Removed tile of the day code
	Added support for libwmfun text color plugin
	Added popup window to ask whether the .wmakerconf directory should be
	created

	* menu.c: Added menu items: Optional tooltips and update of previews

	* shortcuts.c:
	replaced Window Maker attribute names by a short description (formerly
	tooltips)

	* texture.c: removed tile of the day code

	* misc.c:
	added function get_temporary_file_name (void) that uses tempnam
	instead of tmpnam if available.

	* keys.c: Fixed a bug when assigning special symbols shift+number

1999-08-19  Ullrich Hafner  <hafner@bigfoot.de>

	* texture.c, menu.c, rimage.c, rimage.h: *** empty log message ***

1999-08-08  Ullrich Hafner  <hafner@bigfoot.de>

	* window.c, texture.h, themes.c, shortcuts.c, texture.c, rimage.c, rimage.h, rootmenu.c, Makefile.am, misc.h:
	added dialog for wmfun gradients

1999-07-27  Ullrich Hafner  <hafner@bigfoot.de>

	* rootmenu.c: added SHEXEC command

	* themes.c, wmconfig.c, menu.c, shortcuts.c:
	added NeXTSTEP look and feel for scrolled windows

1999-05-06  Ullrich Hafner  <hafner@bigfoot.de>

	* texture.c, texture.h, themes.c:
	added workaround for themes in oldstyle format (no resizebarback,
	icontitle,...)

1999-05-05  Ullrich Hafner  <hafner@bigfoot.de>

	* texture.c, menu.c, load.c: prepared for 2.0

1999-04-27  Ullrich Hafner  <hafner@bigfoot.de>

	* themes.c, tileofday.c, window.c, texture.c, mkpreview.c, rimage.c, rootmenu.c, menu.c:
	upgrade for 2.0

1999-04-21  Ullrich Hafner  <hafner@bigfoot.de>

	* wmconfig.c, window.c, themes.c, texture.c, rootmenu.c, rimage.c, previews.c, misc.h, misc.c, error.h, Makefile.am:
	misc. bugfixes

1999-04-16  Ullrich Hafner  <hafner@bigfoot.de>

	* simple.h: New file.

	* rimage.c: read background of main window to get transparency color

1999-04-15  Ullrich Hafner  <hafner@bigfoot.de>

	* window.c: fixed FreeBSD problems

	* window.c, themes.c, texture.c, rootmenu.c, rimage.c, load.c:
	don't interpret trailing ; in a proplist file as an error
	fix compilation errors if wraster lib is not used

1999-04-13  Ullrich Hafner  <hafner@bigfoot.de>

	* load.c, load.h: *** empty log message ***

	* load.h, load.c: New file.

	* tileofday.c, window.c, wmconfig.c, themes.c, rimage.h, rootmenu.c, texture.c, Makefile.am, error.h, rimage.c:
	added Window Maker proplist loader

	* window.h, window.c, tileofday.c, themes.c, rimage.c, texture.c, misc.h, mkpreview.c, previews.c, menu.c, misc.c:
	update image loading via wraster lib

	* wmconfig.c, tileofday.c, texture.h, themes.c, texture.c, rootmenu.c, previews.c, rimage.c, misc.c, misc.h, mkpreview.c, Makefile.am, dialog.c, error.c:
	bug fix theme selection
	added new gradient preview
	preview caching in ~/.previews if pixmap directory is not
	writable
	don't enlarge image previews and use alpha channel

1999-04-12  Ullrich Hafner  <hafner@bigfoot.de>

	* rimage.h, rimage.c, mkpreview.c: New file.

1999-04-08  Ullrich Hafner  <hafner@bigfoot.de>

	* themes.c: added multiple theme selection

	* wmconfig.c, themes.c: remove: also remove theme previews

	* wmconfig.c, window.h, window.c, menu.h, tileofday.c, menu.c, error.c:
	added message buffer

	* tileofday.c, themes.h, themes.c, previews.h, previews.c, dialog.h, dialog.c:
	bugfixes

1999-04-07  Ullrich Hafner  <hafner@bigfoot.de>

	* themes.c, Makefile.am: added theme previews

	* themes.c: *** empty log message ***

	* tileofday.c, themes.c, dialog.h, dialog.c:
	spawn new process during http requests

1999-04-06  Ullrich Hafner  <hafner@bigfoot.de>

	* wmconfig.c, window.h, window.c, tileofday.h, themes.h, tileofday.c, themes.c, texture.h, simple.c, texture.c, shortcuts.c, rootmenu.c, previews.h, path.c, previews.c, misc.h, misc.c, keys.c, menu.c, error.c, error.h, dialog.c, dialog.h, Makefile.am:
	cleanup

1999-03-16  Ullrich Hafner  <hafner@bigfoot.de>

	* window.c, wmconfig.c, simple.c, themes.c, error.h, previews.c, rootmenu.c:
	1.8.2 release

1999-03-14  Ullrich Hafner  <hafner@bigfoot.de>

	* window.c, Makefile.am, path.c, themes.c: gtk+ 1.0.x compliance

	* window.c, simple.c, themes.c, tileofday.c, Makefile.am, misc.c, misc.h, rootmenu.c:
	bugfixes

1999-03-13  Ullrich Hafner  <hafner@bigfoot.de>

	* window.c, texture.c, themes.c, themes.h, misc.h: theme updates

1999-03-12  Ullrich Hafner  <hafner@bigfoot.de>

	* icons.h, previews.c, tileofday.c, window.c, icons.c:
	removed BulletHole stuff

	* wmconfig.c, themes.c: update save_theme

	* misc.c: added support for "$ENVIRONMENT/path" expansion

	* tileofday.c, themes.c, rootmenu.c, misc.h, misc.c:
	added support for ANSI C remove function

1999-03-10  Ullrich Hafner  <hafner@bigfoot.de>

	* themes.h, window.c, themes.c: added preview of theme pixmaps

1999-03-09  Ullrich Hafner  <hafner@bigfoot.de>

	* wmconfig.c, rootmenu.c, themes.c, path.c:
	added new theme remove dialog

	* window.c, themes.c, themes.h: added theme save dialog

1999-03-08  Ullrich Hafner  <hafner@bigfoot.de>

	* window.h, window.c, themes.c, texture.c, simple.c, path.c, rootmenu.c, menu.c:
	bug fixes

1999-03-07  Ullrich Hafner  <hafner@bigfoot.de>

	* themes.h, window.c, window.h, texture.h, themes.c, rootmenu.c, shortcuts.c, simple.c, texture.c, Makefile.am, menu.c, path.c:
	added loading of Styles, Themes, and WindowMaker files

1999-03-04  Ullrich Hafner  <hafner@bigfoot.de>

	* window.c, simple.c, texture.c, themes.c, tileofday.c, path.c, rootmenu.c, shortcuts.c, menu.c, menu.h, dialog.c:
	first theme functions

1999-03-03  Ullrich Hafner  <hafner@bigfoot.de>

	* wmconfig.c, window.h, window.c: reorganization (appearance panel)

	* tileofday.h, texture.h, tileofday.c, texture.c, shortcuts.c, shortcuts.h, path.h, rootmenu.c, icons.h, menu.h, path.c, icons.c, error.h, Makefile.am:
	new appearance panel

	* themes.h, themes.c, simple.c: New file.

1999-03-02  Ullrich Hafner  <hafner@bigfoot.de>

	* window.c: *** empty log message ***

1999-02-17  Ullrich Hafner  <hafner@bigfoot.de>

	* rootmenu.c: improved gnome2wmaker inclusion (awk script)

1999-02-16  Ullrich Hafner  <hafner@bigfoot.de>

	* wmconfig.c: wmakerconf-data NLS via gettext

1999-02-12  Ullrich Hafner  <hafner@bigfoot.de>

	* window.c, texture.h, tileofday.c, shortcuts.c, texture.c, path.c, rootmenu.c, menu.c, menu.h:
	make save and revert menu insensitive if not available

1999-02-11  Ullrich Hafner  <hafner@bigfoot.de>

	* tileofday.c, wmconfig.c, rootmenu.c, texture.c, menu.c, path.c:
	again some NLS update

1999-02-10  Ullrich Hafner  <hafner@bigfoot.de>

	* wmconfig.c, tileofday.c, window.c, rootmenu.c, texture.c, misc.c, path.c, previews.c, keys.c, menu.h, dialog.c, error.c, error.h, Makefile.am:
	NLS update

1999-02-06  Ullrich Hafner  <hafner@bigfoot.de>

	* menu.c: NLS

	* shortcuts.c, path.c: added NLS

1999-02-05  Ullrich Hafner  <hafner@bigfoot.de>

	* Makefile.am: prepared for 1.7 release

	* path.c: GTK+-1.0.6 compliance

	* path.c: *** empty log message ***

	* window.c: changed default size

1999-02-04  Ullrich Hafner  <hafner@bigfoot.de>

	* wmconfig.c: removed loading of GTKstep theme rcfile

	* rootmenu.c: added paned widget

	* rootmenu.c: bugfix gtk+-1.1.15

1999-02-03  Ullrich Hafner  <hafner@bigfoot.de>

	* path.h, path.c: New file.

	* rootmenu.c, window.c: update of path widget

1999-02-02  Ullrich Hafner  <hafner@bigfoot.de>

	* rootmenu.c:
	fixed bug when deleting directories with OPEN_MENU command

	* tileofday.c: don't use imlib if flag use_imlib is false

	* menu.c: remove lynx to display homepage

	* window.c: don't use imlib if gdk-imlib returns invalid id or colormap
	added support for scaling of BulletHole pixmap

1999-01-26  Ullrich Hafner  <hafner@bigfoot.de>

	* rootmenu.c: fixed bug with -noext

1999-01-20  Ullrich Hafner  <hafner@bigfoot.de>

	* tileofday.c: don't run crontab twice if user has no crontab file

	* window.c, texture.h, shortcuts.c, texture.c, dialog.h, rootmenu.c, dialog.c:
	texture update

1999-01-19  Ullrich Hafner  <hafner@bigfoot.de>

	* texture.h, texture.c: added new texture format

	* wmconfig.c, window.c, window.h, previews.c, tileofday.h:
	update to new texture format

	* texture.c: *** empty log message ***

1999-01-15  Ullrich Hafner  <hafner@bigfoot.de>

	* tileofday.c, window.c, texture.h, texture.c:
	added different pixmap preview sizes for different texture attributes

	* texture.c: added color-list double click

	* texture.c: *** empty log message ***

	* rootmenu.c: fixed saving of shortcut

	* wmconfig.c: don't print NLS message if LANG defined but empty

	* window.c, window.h, texture.h, tileofday.c, texture.c:
	added textured gradient
	update of texture dialog

1999-01-12  Ullrich Hafner  <hafner@bigfoot.de>

	* texture.c: added default texture if parse error occurs

1999-01-08  Ullrich Hafner  <hafner@bigfoot.de>

	* dialog.c: update of comments

	* rootmenu.c: added strip suffix (-noext), %a update

1999-01-07  Ullrich Hafner  <hafner@bigfoot.de>

	* icons.h, menu.c, error.h, icons.c, error.c:
	added extern keyword for global variables

	* window.c: fixed spinner bug if value is changed via entry

1998-12-23  Ullrich Hafner  <hafner@bigfoot.de>

	* wmconfig.c, shortcuts.c, texture.c, tileofday.c, window.c, misc.c, misc.h, previews.c, rootmenu.c, error.c, keys.c:
	replaced strdup, strcasecmp calls with g_strdup, and g_strcasecmp

	* rootmenu.c: added drag and drop for GTK+ >= 1.1.10

1998-12-22  Ullrich Hafner  <hafner@bigfoot.de>

	* menu.c: added wmakerconf icon

	* rootmenu.c, shortcuts.c, keys.c: added GTK+1.0.6 compliance

	* Makefile.am: added SCRIPTS

	* tileofday.c, wmconfig.c, menu.c: prepared for 1.5 release

	* rootmenu.c: bug fix remove dir

	* previews.c:
	idle function now with GTK_PRIORITY_LOW, to correctly display tooltips

1998-12-21  Ullrich Hafner  <hafner@bigfoot.de>

	* menu.c: added reverting of WMRootMenu

	* misc.c: gt_gnustep_path returns ~/GNUstep/domain

	* rootmenu.c: checked Debian path

	* window.c: *** empty log message ***

	* wmconfig.c: added backup of WMRootMenu

	* keys.c: use ModifierKey when capturing a key sequence

	* shortcuts.h, shortcuts.c: New file.

1998-12-20  Ullrich Hafner  <hafner@bigfoot.de>

	* keys.c: removed unused variables

	* window.c, rootmenu.c, rootmenu.h, tileofday.c, tileofday.h, icons.c, icons.h, dialog.c, dialog.h:
	root menu configuration is working !!

	* window.c, rootmenu.h: *** empty log message ***

	* rootmenu.c: added conversion if current root menu is in old format

	* rootmenu.h, rootmenu.c, icons.c, icons.h: *** empty log message ***

	* keys.c, keys.h, texture.c: changed pressed events to clicked

	* tileofday.c, tileofday.h: added function crontab_changed ()

	* window.c:
	added new save before quitting dialog (attributes, crontab, or menu
	changed)

1998-12-18  Ullrich Hafner  <hafner@bigfoot.de>

	* rootmenu.c: *** empty log message ***

1998-12-17  Ullrich Hafner  <hafner@bigfoot.de>

	* window.h, wmconfig.c, keys.c, rootmenu.c, window.c, Makefile.am:
	menu configuration is getting usable ;-)

	* icons.c, icons.h: added mini icons

1998-12-10  Ullrich Hafner  <hafner@bigfoot.de>

	* icons.h, icons.c: added new icons

	* menu.c: tooltips update

	* keys.c, keys.h: improvements ...

	* rootmenu.c:
	added a lot of new features: menu, key board control, cut/paste

1998-12-09  Ullrich Hafner  <hafner@bigfoot.de>

	* keys.h, keys.c: added key grapping

	* window.c, keys.h, keys.c: added new call to key_widget

1998-12-01  Ullrich Hafner  <hafner@bigfoot.de>

	* rootmenu.h, rootmenu.c: New file.

1998-11-27  Ullrich Hafner  <hafner@bigfoot.de>

	* wmconfig.c, window.c, window.h, tileofday.c, tileofday.h, previews.h, texture.c, texture.h, menu.h, misc.c, misc.h, previews.c, keys.c, keys.h, menu.c, icons.c, icons.h, error.h, dialog.c, dialog.h, error.c, Makefile.am:
	changed Email address

	* window.c: load theme if GTK+ >= 1.1.5

	* Makefile.am: split into subdirs GTKstep and wmakerconf-data

1998-11-26  Ullrich Hafner  <hafner@bigfoot.de>

	* Makefile.am: added greek tooltips

	* window.c: fixed tooltips and progress bar for GTK+1.1.5

1998-11-25  Ullrich Hafner  <hafner@bigfoot.de>

	* misc.h: *** empty log message ***

	* misc.h: added gtk_scrolled_window_add_with_viewport

	* Makefile.am: added catalan tooltips

	* gtkfontsel.c, gtkfontsel.h:
	don't compile this file if GTK+ >= 1.1.5 is used

	* window.c, previews.c, texture.c, misc.c:
	use gtk_scrolled_window_add_with_viewport function (GTK+ >= 1.1.5)

1998-11-23  Ullrich Hafner  <hafner@bigfoot.de>

	* tileofday.c: remove comments of crontab file

1998-11-20  Ullrich Hafner  <hafner@bigfoot.de>

	* wmconfig.c:
	check for global WindowMaker file in WMAKERDIR, /usr/local/share and
	/usr/share

1998-11-19  Ullrich Hafner  <hafner@bigfoot.de>

	* wmconfig.c: *** empty log message ***

1998-11-12  Ullrich Hafner  <hafner@bigfoot.de>

	* Makefile.am: added themes.org button

	* wmconfig.c, tileofday.c, window.c, menu.c, texture.c: updates

1998-11-11  Ullrich Hafner  <hafner@bigfoot.de>

	* tileofday.c, texture.c:
	added and fixed offset, each attribute gets its own pixmap file

1998-11-10  Ullrich Hafner  <hafner@bigfoot.de>

	* wmconfig.c: changed email address

	* texture.c, tileofday.c:
	added themes.org customization for all texture attributes

	* previews.c: interface update make_preview

	* window.h: interface update make_pixmap

	* window.c: interface update make_pixmap (boolean scaling)
	bugfix spinbuttons

	* wmconfig.c: added infotext if attribute is not translated yet

	* menu.c: dialog interface update

	* dialog.c, dialog.h: added new function dialog (yes, no button texts)

1998-11-03  Ullrich Hafner  <hafner@bigfoot.de>

	* tileofday.c: update new gettile.pl call

1998-10-09  Ullrich Hafner  <hafner@bigfoot.de>

	* window.c, wmconfig.c: changed default font

	* keys.c: bugfix Mod1 = Alt when parsing

1998-10-08  Ullrich Hafner  <hafner@bigfoot.de>

	* wmconfig.c: *** empty log message ***

	* Makefile.am: gtk1.1.2 update

	* window.c, window.h, wmconfig.c:
	added font support for foreign encoding schemes

1998-10-06  Ullrich Hafner  <hafner@bigfoot.de>

	* window.c, wmconfig.c, texture.c, texture.h, Makefile.am:
	*** empty log message ***

1998-09-16  Ullrich Hafner  <hafner@bigfoot.de>

	* Makefile.am: update for 1.1

	* texture.c: added cpixmap option

	* window.c: update gtkstep stuff

1998-09-02  Ullrich Hafner  <hafner@bigfoot.de>

	* Makefile.am: *** empty log message ***

	* wmconfig.c: read WMWmakerconf, then read Info texts of NLS versions

	* gtkfontsel.c: bug fix

1998-08-31  Ullrich Hafner  <hafner@bigfoot.de>

	* window.c: avoid loading of XMP files with filesize > 65536

1998-08-28  Ullrich Hafner  <hafner@bigfoot.de>

	* keys.c: fixed bug when parsing key modifiers

	* window.c, texture.c:
	fixed bug when removing list items and none was selected

1998-08-27  Ullrich Hafner  <hafner@bigfoot.de>

	* window.c: removed pointer int conversion warning on DEC alpha

	* gtkfontsel.h, gtkfontsel.c: update of source code

1998-08-26  Ullrich Hafner  <hafner@bigfoot.de>

	* menu.c: added wmakerconf-data version number in about dialog
	fixed path to GNUstep3D.xpm file

1998-08-25  Ullrich Hafner  <hafner@bigfoot.de>

	* Makefile.am: *** empty log message ***

	* gtkfontsel.c, gtkfontsel.h: New file.

	* texture.c, window.c: bugfixes and cosmetic changes

	* window.c: bugfix path list remove and insert

1998-08-22  Ullrich Hafner  <hafner@bigfoot.de>

	* window.c, dialog.c, keys.c, tileofday.c:
	added old widgets, NEXT style widgets are a replacement of GTK+
	widgets now

1998-08-21  Ullrich Hafner  <hafner@bigfoot.de>

	* window.c: *** empty log message ***

	* dialog.c: added NEXTSTEP-style option menu

1998-08-20  Ullrich Hafner  <hafner@bigfoot.de>

	* keys.c, tileofday.c: added NEXTSTEP-style combo box

	* texture.c, tileofday.c, window.c: added NEXTSTEP-style radio button

1998-08-19  Ullrich Hafner  <hafner@bigfoot.de>

	* keys.c, tileofday.c: added next buttons

	* window.c:
	replaced boolean option menu with NEXTSTEP-style check button

	* texture.c:
	fixed default color conversion when transforming gradients to
	mgradients

1998-07-30  Ullrich Hafner  <hafner@bigfoot.de>

	* Makefile.am: *** empty log message ***

1998-07-29  Ullrich Hafner  <hafner@bigfoot.de>

	* window.c: added gtkrc file parsing

	* wmconfig.c, menu.c, tileofday.c: update of upgrade script

1998-07-28  Ullrich Hafner  <hafner@bigfoot.de>

	* icons.h, menu.c, menu.h, icons.c:
	added toolbar, remove menufactory (GTK1.1)

	* tileofday.c, tileofday.h: bugfix cronjob saving

	* window.c: bugfix for multiple paths

1998-07-23  Ullrich Hafner  <hafner@bigfoot.de>

	* wmconfig.c: prepared source for LANG=??
	warning instead of error if system file not found

1998-07-22  Ullrich Hafner  <hafner@bigfoot.de>

	* tileofday.c: added LIBWWW_PERL define

1998-07-21  Ullrich Hafner  <hafner@bigfoot.de>

	* Makefile.am: added menu.c, README, COPYING

	* wmconfig.c, misc.h, window.c, menu.c, misc.c: cleanup

1998-07-20  Ullrich Hafner  <hafner@bigfoot.de>

	* window.c, menu.c, menu.h, tileofday.c: added some missing includes
	removed unused variables

	* menu.c: added GNUstep3D pixmap in about window

	* icons.c, icons.h, window.c: removed Interface.xpm

	* texture.c: added image preview to file selection dialog

	* menu.c: added homepage menu entry

	* texture.c: added workaround for WorkspaceBack "None"

	* window.c, window.h: added menubar, removed click buttons

	* icons.h, icons.c: removed Disk icon

	* menu.h, menu.c: New file.

	* texture.c, tileofday.c: bug fixes

1998-07-17  Ullrich Hafner  <hafner@bigfoot.de>

	* window.c, icons.c, icons.h, tileofday.c: bufixes tile of the day

	* tileofday.c: *** empty log message ***

1998-07-16  Ullrich Hafner  <hafner@bigfoot.de>

	* texture.c: removed call to fileselection when texture type changes

	* Makefile.am: removed pixmaps

	* tileofday.c: added guest tile, random tile

	* icons.c, icons.h: added function to write bullethole to disk

	* texture.c: fixed bug when removing color cells

	* texture.c: added test for cronjob and tile name

1998-07-10  Ullrich Hafner  <hafner@bigfoot.de>

	* wmconfig.c, window.h, tileofday.h, window.c, tileofday.c, texture.h, texture.c, previews.c, keys.c, misc.c, misc.h, icons.h, icons.c, error.c, error.h, dialog.h, dialog.c:
	added new address of FSF

	* tileofday.c: set cronjob_saved=TRUE when changing IconBack pixmap

1998-07-08  Ullrich Hafner  <hafner@bigfoot.de>

	* window.c: removed debug output

1998-07-06  Ullrich Hafner  <hafner@bigfoot.de>

	* tileofday.c: check_valid_tileofday only in case of IconBack attribute

1998-07-02  Ullrich Hafner  <hafner@bigfoot.de>

	* window.c, window.h, wmconfig.c, keys.c, texture.c, tileofday.c:
	save only attributes that have been changed and those that were
	present in users WindowMaker file

	* window.c: replaced True/False with Yes/No

1998-07-01  Ullrich Hafner  <hafner@bigfoot.de>

	* texture.c: fixed memory leak

	* window.c, window.h, wmconfig.c:
	Now users modified WindowMaker file only contains values different from
	the global one

	* misc.c: added expansion of $(HOME) and $HOME

	* previews.c: *** empty log message ***

	* previews.c:
	previews are only displayed if filename extension is in set
	{.xpm, .jpg, .tif[f], .png}

	* misc.c: expand_tilde used to compute users homedir

	* wmconfig.c:
	added merge of global WindowMaker file with users WindowMaker file

1998-06-30  Ullrich Hafner  <hafner@bigfoot.de>

	* keys.c: added shift modifier

	* texture.c: fixed bug when parsing s/tpixmaps
	reported by Marc Martinez <lastxit@pimpdaddy.org>

	* keys.c: better sorting of keycodes

	* previews.c: bug fix

	* misc.h, previews.c, window.c, misc.c: added tilde expansion

1998-06-29  Ullrich Hafner  <hafner@bigfoot.de>

	* previews.c: added missing #include "tileofday.h"

	* keys.c, window.c: *** empty log message ***

	* previews.c: added sys/types.h for solaris systems

1998-06-28  Ullrich Hafner  <hafner@bigfoot.de>

	* wmconfig.c: changed -previews to -nopreviews

	* window.c: error text changed

1998-06-26  Ullrich Hafner  <hafner@bigfoot.de>

	* keys.h, keys.c: New file.

	* window.c, Makefile.am: wmakerconf release 0.3

1998-06-23  Ullrich Hafner  <hafner@bigfoot.de>

	* tileofday.c, icons.c, previews.c, texture.c: bug fixes

1998-06-20  Ullrich Hafner  <hafner@bigfoot.de>

	* window.c: clean up, comments, convert_bool

1998-06-17  Ullrich Hafner  <hafner@bigfoot.de>

	* window.h, previews.c, texture.c, tileofday.c, window.c:
	new workaround for gtkpixmap display error

1998-06-16  Ullrich Hafner  <hafner@bigfoot.de>

	* window.h, tileofday.c, window.c, previews.c, texture.c:
	added workaround for pixmap widget bug

1998-06-15  Ullrich Hafner  <hafner@bigfoot.de>

	* Makefile.am: added OctobrX's xpm's

	* window.h, texture.c, tileofday.c, tileofday.h, window.c, previews.c:
	remove cronjob if IconBack pixmapname changes

1998-06-14  Ullrich Hafner  <hafner@bigfoot.de>

	* wmconfig.c, texture.c, texture.h, window.c, window.h, previews.c:
	-previews option

1998-06-13  Ullrich Hafner  <hafner@bigfoot.de>

	* texture.c: added comments

	* texture.c: *** empty log message ***

1998-06-10  Ullrich Hafner  <hafner@bigfoot.de>

	* previews.c: added comments

	* dialog.c: *** empty log message ***

	* dialog.c: added comments

1998-06-09  Ullrich Hafner  <hafner@bigfoot.de>

	* icons.c: added comment

1998-06-08  Ullrich Hafner  <hafner@bigfoot.de>

	* window.c, texture.c: *** empty log message ***

	* icons.c, icons.h: removed unused icons
	icons now stay in memory

	* tileofday.c: added lynx option

	* previews.h, previews.c: New file.

	* wmconfig.c: added global variable 'wmpath'

	* tileofday.c: new format of gettile.pl call

1998-06-05  Ullrich Hafner  <hafner@bigfoot.de>

	* texture.h, tileofday.c, window.c, texture.c:
	added experimental pixmap preview browser

1998-05-27  Ullrich Hafner  <hafner@bigfoot.de>

	* tileofday.c, window.c, texture.c:
	tile of the day doesn't depend on imlib anymore

1998-05-26  Ullrich Hafner  <hafner@bigfoot.de>

	* tileofday.c, Makefile.am: tile of the day again

	* window.h, tileofday.c, window.c, texture.c:
	some more improvements for tile-of-the-day

	* tileofday.c, window.c, texture.c, Makefile.am:
	tile of the day support, fontselection widget added

1998-05-22  Ullrich Hafner  <hafner@bigfoot.de>

	* tileofday.h, window.c, error.h, misc.h, tileofday.c:
	crontab handling is working!

1998-05-21  Ullrich Hafner  <hafner@bigfoot.de>

	* window.h, tileofday.c, tileofday.h, window.c:
	removed texture dialogs to texture.[ch]

	* texture.h, texture.c, tileofday.h, tileofday.c: New file.

	* window.h, window.c: removed tile of the day code to tileofday.[ch]

	* window.c: basic tile of the day support

	* dialog.c: changed destroy signals

1998-05-18  Ullrich Hafner  <hafner@bigfoot.de>

	* dialog.h, dialog.c: moved generate_option_menu to dialog.c
	#include "error.h" is now last include

1998-05-15  Ullrich Hafner  <hafner@bigfoot.de>

	* window.c: added error handling if xfontsel fails

	* wmconfig.c, Makefile.am: changed package name to wmakerconf

1998-05-13  Ullrich Hafner  <hafner@bigfoot.de>

	* window.c: added fontselection via xfontsel

	* window.c: all proplists  are now released

	* misc.c: cleanup of array allocation of 'path' in get_gnustep_path()

	* wmconfig.c:
	all proplists are now released, incremented sizeof 'path' by one
	character

1998-05-12  Ullrich Hafner  <hafner@bigfoot.de>

	* dialog.c: close button of a dialog window is now working

	* window.c: - removed prev and next buttons
	- some new tooltips

	* window.c, wmconfig.c, Makefile.am: *** empty log message ***

	* window.c, window.h, wmconfig.c, icons.c, icons.h, Makefile.am:
	release 0.1

1998-05-11  Ullrich Hafner  <hafner@bigfoot.de>

	* wmconfig.c: *** empty log message ***

	* window.c, window.h, wmconfig.c, wmconfig.h, icons.h, misc.c, misc.h, dialog.h, error.c, error.h, icons.c, Makefile.am, dialog.c:
	added GPL

	* window.c: *** empty log message ***

	* wmconfig.h, icons.h, window.c, wmconfig.c, icons.c:
	all things are working ;-)

	* wmconfig.c, window.c: last version before grouping

1998-05-09  Ullrich Hafner  <hafner@bigfoot.de>

	* window.c: textures are working ;-)

1998-05-08  Ullrich Hafner  <hafner@bigfoot.de>

	* window.c: *** empty log message ***

	* wmconfig.c, wmconfig.h: added key

	* window.c: *** empty log message ***

1998-05-07  Ullrich Hafner  <hafner@bigfoot.de>

	* window.c: texture works ...

1998-05-06  Ullrich Hafner  <hafner@bigfoot.de>

	* window.c: *** empty log message ***

	* icons.h, icons.c: New file.

	* window.c, wmconfig.c, wmconfig.h, misc.h: *** empty log message ***

1998-05-05  Ullrich Hafner  <hafner@bigfoot.de>

	* wmconfig.c, window.c, dialog.c: added color wheel

1998-05-04  Ullrich Hafner  <hafner@bigfoot.de>

	* wmconfig.c, window.c: added unsigned attributes

1998-05-03  Ullrich Hafner  <hafner@bigfoot.de>

	* wmconfig.h, window.c, wmconfig.c: strings are working ...

1998-05-02  Ullrich Hafner  <hafner@bigfoot.de>

	* window.h, wmconfig.c, wmconfig.h, dialog.h, window.c, Makefile.am, dialog.c:
	booleans are working!

1998-05-01  Ullrich Hafner  <hafner@bigfoot.de>

	* dialog.c, dialog.h: New file.

1998-04-30  Ullrich Hafner  <hafner@bigfoot.de>

	* wmconfig.h, window.c, wmconfig.c, error.h: *** empty log message ***

	* Makefile.am: first version with save

1998-04-29  Ullrich Hafner  <hafner@bigfoot.de>

	* Makefile.am, misc.h, misc.c, error.h, error.c, wmconfig.h, wmconfig.c, window.h, window.c:
	New file.

